karaf-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Krzysztof Sobkowiak <krzys.sobkow...@gmail.com>
Subject Re: [VOTE] Apache Karaf 4.2.0.M1 release
Date Sun, 29 Oct 2017 22:53:59 GMT
Hi

+1 (non-bindng)

I have installed some components with following steps

karaf@root()> feature:repo-add camel 2.19.3
Adding feature url mvn:org.apache.camel.karaf/apache-camel/2.19.3/xml/features
karaf@root()> feature:repo-add activemq 5.15.2
Adding feature url mvn:org.apache.activemq/activemq-karaf/5.15.2/xml/features
karaf@root()> feature:install aries-blueprint
karaf@root()> feature:install  shell-compat
karaf@root()> feature:install  activemq-broker activemq-camel activemq-blueprint camel-blueprint
camel-jms camel-cxf

Next my routes worked, so my +1. The same with Camel 2.20.0

When I'm trying to install jmsnext, the operation never ends. The same situation when I install
jms first (before the above steps) and next I'm trying to install the other components. It
looks to be a dependency resolution problem

Trying to install jmsafter the above steps with Camel 2.20.0 the operation ends with following
error

karaf@root()> feature:install jms
Error executing command: Uses constraint violation. Unable to resolve resource org.apache.activemq.activemq-osgi
[org.apache.activemq.activemq-osgi/5.15.2] because it is exposed to package 'javax.jms' from
resources org.apache.geronimo.specs.geronimo-jms_2.0_spec [org.apache.geronimo.specs.geronimo-jms_2.0_spec/1.0.0.alpha-2]
and javax.jms-api [javax.jms-api/2.0.0] via two dependency chains.

Chain 1:
  org.apache.activemq.activemq-osgi [org.apache.activemq.activemq-osgi/5.15.2]
    import: (&(osgi.wiring.package=javax.jms)(version>=1.1.0)(!(version>=3.0.0)))
     |
    export: osgi.wiring.package: javax.jms
  org.apache.geronimo.specs.geronimo-jms_2.0_spec [org.apache.geronimo.specs.geronimo-jms_2.0_spec/1.0.0.alpha-2]

Chain 2:
  org.apache.activemq.activemq-osgi [org.apache.activemq.activemq-osgi/5.15.2]
    import: (&(osgi.wiring.package=org.springframework.jms.connection)(version>=4.0.0)(!(version>=5.0.0)))
     |
    export: osgi.wiring.package=org.springframework.jms.connection; uses:=javax.jms
  org.apache.servicemix.bundles.spring-jms [org.apache.servicemix.bundles.spring-jms/4.3.12.RELEASE_1]
    import: (osgi.wiring.package=javax.jms)
     |
    export: osgi.wiring.package: javax.jms
  javax.jms-api [javax.jms-api/2.0.0]



Kindly regards
Krzysztof 



On 10/28/17 8:31 AM, Jean-Baptiste Onofré wrote:
> Hi all
>
> I submit Karaf 4.2.0.M1 release to your vote. It's not a GA release but a technical preview.
The purpose is to perform a test campaign before the first GA Release.
> Especially the Java9 support is not yet complete as we need new dependencies releases.
>
> Release Notes:
> https://issues.apache.org/jira/secure/ReleaseNote.jspa?projectId=12311140&version=12338362
>
> Staging Repository:
> https://repository.apache.org/content/repositories/orgapachekaraf-1101/
>
> Git tag:
> karaf-4.2.0.M1
>
> Please vote for this release:
>
> [ ] +1 (approve the release)
> [ ] -1 (don't approve the release, provide reason)
>
> This vote is open for 72h.
>
> Thanks
> Regards
> JB
> ⁣​

-- 
Krzysztof Sobkowiak (@ksobkowiak)

JEE & OSS Architect, Integration Architect
Apache Software Foundation Member (http://apache.org/)
Apache ServiceMix Committer & PMC Member (http://servicemix.apache.org/)
Senior Solution Architect @ Capgemini SSC (http://www.capgeminisoftware.pl/)

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message